[[command-line-options]]
=== Command Line Options

The following command line option is specific to Filebeat.

*`-once`*::
When the `-once` flag is used, Filebeat starts all configured harvesters and prospectors, and runs
each prospector until the harvesters are closed. If you set the `-once` flag, you should also set
`close_eof` so the harvester is closed when the end of the file is reached.
By default harvesters are closed after `close_inactive` is reached.

The following command line options from libbeat are also available for Filebeat. To
use these options, you need to start Filebeat in the foreground.

To start Filebeat, you must use the `-c config/path` option to specify the path to the
configuration file.

TIP: Run `./filebeat -h` to see the full list of options from the command line.

include::../../libbeat/docs/shared-command-line.asciidoc[]


